Description

It would be cool if Arcade-like points were accumulated
in single player and Coop multiplayer for monster deaths
and locating secrets.

Points could/would be allocated like so:

(i) damage done to monster per weapon hit converted
into points for player.

(i)bonus points for a monster killed by a player equal to
the original health of the monster (60 for imp 1000 for
mancubus etc..).

(iii) at end of the level: (% of secrets found)/100 x
(points accumulated by player) /(an integer

1) ..basically bonus points for finding secrets, but it

should only be a fraction of the total possible points
acquired by killing monsters for the level.

(iv) In multiplayer coop: Points per players are added up
to the team score. Total scores for each player and
team are given at the end of level. These scores are
carried on to next level and so on.

(v) Winning player and team at end of the PWAD.

Perhaps the player's score could be displayed during the
game like an arcade game, not sure how hard this would
be. Perhaps players team position could be displayed as
well.

It would be cool to implement this even without
savegame support.

Related issues:
Related to Feature #1604: Game rules (1p and MP)
History

#1 - 2004-01-17 04:08 - skyjake

- labels: Gameplay --> Gameplay, Multiplayer
- summary: Improved Coop Mode --> Scoring points in 1p and MP
- Description has changed:

Diff:
It would be cool if Arcade-like points were accumulated
in single player and Coop multiplayer for monster deaths
and locating secrets.

- milestone: --> Eventually

#2 - 2013-10-18 15:52 - skyjake
- Tags set to Multiplayer, Gameplay
- Description updated

- Category set to Enhancement

#3 - 2019-11-29 16:40 - skyjake

- Status changed from New to Rejected
